player_blinkenlight_cmd_flash Struct Reference

Command: flash (PLAYER_BLINKENLIGHT_CMD_FLASH) This `blinkenlight` command sets the duration of one on/off blink cycle in seconds and the ratio of light on/off time (0.0 to 1.0 ) More...

`#include <player_interfaces.h>`

## Public Attributes

uint16_t | id
| identify the light we are addressing
float | period
| flash period (duration of one whole on-off cycle) [s]. More...
float | dutycycle
| flash duty cycle (ratio of time-on to time-off in one cycle). More...

## Detailed Description

Command: flash (PLAYER_BLINKENLIGHT_CMD_FLASH) This `blinkenlight` command sets the duration of one on/off blink cycle in seconds and the ratio of light on/off time (0.0 to 1.0 )

## Member Data Documentation

float player_blinkenlight_cmd_flash::dutycycle

flash duty cycle (ratio of time-on to time-off in one cycle).

float player_blinkenlight_cmd_flash::period

flash period (duration of one whole on-off cycle) [s].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45